Issue1818

classification
Title: PythonInterpreter hangs in setState()
Type: Severity: major
Components: Library Versions: Jython 2.5
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: Kent, fwierzbicki, zyasoft
Priority: normal Keywords:

Created on 2011-11-17.14:25:04 by Kent, last changed 2014-07-09.23:59:03 by zyasoft.

Messages
msg6722 (view) Author: Kent (Kent) Date: 2011-11-17.14:27:34
When we upgraded to Jython 2.5.2 the following code now hangs in PythonInterpreter setState, it worked with previous versions of Jython:

public PythonInterpreterOwnPySystemState() {
        super();
        // one new PySystemState per interpreter
        this.systemState = new org.python.core.PySystemState();
        this.setState();
    }
msg8711 (view) Author: Jim Baker (zyasoft) Date: 2014-06-19.05:25:51
Are you complying with PythonInterpreter's contract and ensuring that setSystemState is called in each method?
msg8837 (view) Author: Jim Baker (zyasoft) Date: 2014-06-28.04:09:21
Does not appear PythonInterpreter is being used correctly, so starting to close out.
History
Date User Action Args
2014-07-09 23:59:03zyasoftsetstatus: pending -> closed
2014-06-28 04:09:21zyasoftsetstatus: open -> pending
resolution: remind -> works for me
messages: + msg8837
2014-06-19 05:25:51zyasoftsetresolution: remind
messages: + msg8711
nosy: + zyasoft
2013-02-25 19:31:18fwierzbickisetpriority: normal
nosy: + fwierzbicki
versions: + Jython 2.5, - 2.5.2
2011-11-17 14:27:35Kentsetmessages: + msg6722
2011-11-17 14:25:05Kentcreate